2002-06-17  Chris Hanson <cph@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.94]:
	Update for 7.7.1 release.

2002-03-13  Chris Hanson <cph@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.93]:
	Update for release 7.7.0.

	* ref-manual/scheme.texinfo[1.116]:
	Add definitions for LINK-VARIABLES and UNBIND-VARIABLE.

2002-03-07  Chris Hanson <cph@zurich.ai.mit.edu>

	* sos/sos.texinfo[2.11], sos/sos.texinfo[2.10]:
	Remove description of METHOD macro; it hasn't been supported in a long
	time.

2002-03-01  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.115]:
	Hash-table abstraction is now always loaded.  It's no longer necessary
	to use LOAD-OPTION prior to use.

2002-02-13  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.114]:
	Add descriptions of new environment operations.

2002-02-12  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.113]:
	Add descriptions of new environment operations.

	* user-manual/user.texinfo[1.92]:
	Make changes related to new syntax engine.

2002-02-05  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.112]:
	Add notes regarding anonymous macro transformers and the dual action
	of top-level define-syntax.

	* ref-manual/scheme.texinfo[1.111]:
	Second draft of macro documentation includes section on explicit
	renaming, plus a bunch of fixes to previous draft.

2002-02-04  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.110], ref-manual/scheme.texinfo[1.109]:
	Initial draft of macro documentation.

2002-01-29  Chris Hanson <cph@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.91.2.2]:
	Fix typo.

2002-01-28  Chris Hanson <cph@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.91.2.1]:
	Update for release 7.6.1.

2001-12-17  Chris Hanson <cph@zurich.ai.mit.edu>

	* configure.in[1.5]:
	Use "install --preserve-timestamps" if it is available.

2001-11-26  Chris Hanson <cph@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.91], user-manual/user.texinfo[1.90]:
	Distribution no longer includes "compiler.com" or "edwin.com" bands.

	* user-manual/user.texinfo[1.89]:
	Update for 7.6.0 release.  Rewrite release notes; update version
	references; update list of supported Windows versions; tweak wording
	that describes how to start Scheme under Windows.

	* imail/imail.texinfo[1.27], imail/imail.texinfo[1.26],
	  imail/imail.texinfo[1.25]:
	Document M-o command.  Add section describing new sort commands.

	* ref-manual/scheme.texinfo[1.108]:
	Write first draft of XML section.

2001-11-21  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.107]:
	Write first draft of Unicode section.

2001-11-20  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.106]:
	Write first draft of parser-macro section.

	* ref-manual/scheme.texinfo[1.105]:
	Write first drafter of *PARSER section.

	* ref-manual/scheme.texinfo[1.104], ref-manual/scheme.texinfo[1.103]:
	Eliminate the "+" notation for MIT Scheme extensions.  This is
	ridiculous; virtually the entire manual is an extension.
	
	First partial draft of parser-language section.  This covers the
	introduction and the subsection on *MATCHER.

2001-11-17  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.102]:
	Fix missing "Unicode" reference.

	* ref-manual/scheme.texinfo[1.101]:
	Write documentation for parser-buffer abstraction.

2001-11-16  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.100], ref-manual/scheme.texinfo[1.99],
	  ref-manual/scheme.texinfo[1.98]:
	Document the REXP abstraction.

	* ref-manual/scheme.texinfo[1.97]:
	Change ASCII to ISO-8859-1 where needed.  Document FLO:FINITE?.
	Update edition/version/date in header.

2001-11-14  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.96]:
	Update for name changes in runtime system:
	
	    list-transform-positive => keep-matching-items
	    list-transform-negative => delete-matching-items
	    list-search-positive    => find-matching-item

2001-07-18  Chris Hanson <cph@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.88]:
	Update references to 7.5.16 in the document body.

	* user-manual/user.texinfo[1.87]:
	Release notes for 7.5.17.

	* imail/imail.texinfo[1.24]:
	Document the folder browser.

2001-07-17  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/imail.texinfo[1.23]:
	The key bindings for toggle- commands have been changed.

	* ref-manual/scheme.texinfo[1.95]:
	Modify to reflect changes to server-socket code, and for
	implementation of procedures to support file links and file types.

2001-03-20  Chris Hanson <cph@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.86]:
	Update for release 7.5.16.

2001-03-08  Chris Hanson <cph@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.85]:
	Document changes for supporting dynamically-loaded crypto primitives.

2001-03-01  Chris Hanson <cph@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.84]:
	Release notes for 7.5.14.

2001-02-26  Chris Hanson <cph@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.83]:
	Fix typo.

2001-02-23  Chris Hanson <cph@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.82]:
	Release notes for 7.5.13.

	* imail/imail.texinfo[1.22], ref-manual/scheme.texinfo[1.94],
	  sos/sos.texinfo[2.9], user-manual/user.texinfo[1.81]:
	Add @dircategory/@direntry so that install-info will work.

	* configure.in[1.4]:
	Handle configuration arguments correctly; previously was ignoring
	user's arguments.

	* Makefile.in[1.6]:
	Fix typo.

	* imail/Makefile.in[1.4], ref-manual/Makefile.in[1.4],
	  sos/Makefile.in[2.4], user-manual/Makefile.in[1.4]:
	Change names of Info files so that they have "mit-scheme-" prefix.
	This allows them to appear in a common shared directory and not
	conflict with other programs.

2000-12-29  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/imail.texinfo[1.21], imail/imail.texinfo[1.20]:
	Document changes to IMAIL version 1.8.

2000-12-24  Chris Hanson <cph@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.80]:
	Update for release 7.5.12.

2000-12-23  Chris Hanson <cph@zurich.ai.mit.edu>

	* Makefile.in[1.5], imail/Makefile.in[1.3],
	  ref-manual/Makefile.in[1.3], sos/Makefile.in[2.3],
	  user-manual/Makefile.in[1.3]:
	Add "install-info-gz" rule.

	* Makefile.in[1.4]:
	Extend "install-html" rule to install "index.html".

	* index.html[1.1]:
	Initial revision.

2000-12-21  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/imail.texinfo[1.19]:
	Document a few new features, and finish documenting things that were
	left out in the first round.  This is now nearly complete.

2000-12-19  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/Makefile.in[1.2], ref-manual/Makefile.in[1.2],
	  sos/Makefile.in[2.2], user-manual/Makefile.in[1.2]:
	Compress info files when installing them.

2000-12-09  Chris Hanson <cph@zurich.ai.mit.edu>

	* Makefile.in[1.3]:
	Clean up links to "gfdl.texinfo" that are made by configuration.

2000-12-08  Chris Hanson <cph@zurich.ai.mit.edu>

	* sos/sos.texinfo[2.8], user-manual/user.texinfo[1.79]:
	Fix some broken formatting commands.

	* Makefile.in[1.2], Makefile.in[1.1], configure.in[1.3],
	  configure.in[1.2], configure.in[1.1], imail/Attic/Makefile[1.11],
	  imail/Attic/Makefile[1.10], imail/Makefile.in[1.1],
	  imail/html/Attic/Makefile[1.6], imail/html/Attic/Makefile[1.5],
	  install-sh[1.1], mkinstalldirs[1.1], ref-manual/Attic/Makefile[1.6],
	  ref-manual/Attic/Makefile[1.5], ref-manual/Makefile.in[1.1],
	  ref-manual/html/Attic/Makefile[1.4], sos/Attic/Makefile[2.7],
	  sos/Attic/Makefile[2.6], sos/Makefile.in[2.1],
	  sos/html/Attic/Makefile[1.4], user-manual/Attic/Makefile[1.9],
	  user-manual/Attic/Makefile[1.8], user-manual/Makefile.in[1.1],
	  user-manual/html/Attic/Makefile[1.5]:
	Rewrite makefiles for new regime.

2000-11-28  Chris Hanson <cph@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.78]:
	Update for release 7.5.11.

	* imail/imail.texinfo[1.18]:
	Document variable imail-default-output.

2000-10-16  Chris Hanson <cph@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.77]:
	Update for 7.5.10 release.

2000-09-05  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.93]:
	Change quotation example to reflect exact output from MIT Scheme.

2000-08-07  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/imail.texinfo[1.17]:
	Changed key binding of imail-summary-select-message to #\e.

2000-07-26  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/imail.texinfo[1.16]:
	Finish last section of Commands chapter.  The manual is now
	more-or-less complete.

	* imail/gfdl.texinfo[1.5]:
	Fix broken spacing around example.

	* imail/gfdl.texinfo[1.4]:
	Use @copyright.

	* imail/imail.texinfo[1.15]:
	Numerous small changes.

	* imail/Attic/Makefile[1.9], ref-manual/Attic/Makefile[1.4],
	  sos/Attic/Makefile[2.5], user-manual/Attic/Makefile[1.7]:
	Fix rules: dependency on gfdl.texinfo shouldn't cause that filename to
	appear in the command line.

	* imail/imail.texinfo[1.14]:
	Write section on Message Display.

	* imail/imail.texinfo[1.13]:
	Another pass on the MIME section; all MIME commands are now documented.

2000-07-24  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/html/Attic/Makefile[1.4], ref-manual/html/Attic/Makefile[1.3],
	  sos/html/Attic/Makefile[1.3], user-manual/html/Attic/Makefile[1.4]:
	Add gfdl.texinfo.

	* imail/gfdl.texinfo[1.3]:
	Add blank lines, which shouldn't matter, to work around bug in texi2html.

2000-07-21  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/imail.texinfo[1.12]:
	Integrate more variables into the Commands chapter.  First incomplete
	draft of MIME section.

	* user-manual/user.texinfo[1.76]:
	Fix some minor formatting problems in the release notes, and use
	@acronym where appropriate.

	* sos/Attic/Makefile[2.4], sos/sos.texinfo[2.7],
	  user-manual/Attic/Makefile[1.6], user-manual/user.texinfo[1.75],
	  user-manual/user.texinfo[1.74]:
	Add GFDL chapter.

	* imail/Attic/Makefile[1.8], ref-manual/Attic/Makefile[1.3]:
	Add gfdl.texinfo to dependencies.

	* ref-manual/scheme.texinfo[1.92]:
	Add chapter for GFDL.  Split binding and concept indices.  Eliminate
	antique @deffnexample; there's no point tracking this, and it is just
	asking for trouble in the future.

	* imail/gfdl.texinfo[1.2]:
	Change list in section MODIFICATIONS to be an enumeration.  Use
	@acronym and @uref where appropriate.

	* imail/imail.texinfo[1.11]:
	Move GFDL to separate file.

	* imail/gfdl.texinfo[1.1]:
	Initial registration; this is the version I obtained from RMS.

2000-07-20  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/imail.texinfo[1.10]:
	Fix node structure from previous change.

	* imail/imail.texinfo[1.9]:
	Integrate some more variables into the command documentation.  Use
	Texinfo version of GFDL.

2000-07-12  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/imail.texinfo[1.8]:
	Write Multiple Folders section.

2000-07-11  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/imail.texinfo[1.7]:
	Add Summaries section.

	* imail/imail.texinfo[1.6]:
	Extensive editing of Commands chapter.  Most of this is blatant theft
	of corresponding portions of the Emacs manual.

	* imail/Attic/Makefile[1.7], imail/Attic/Makefile[1.6],
	  imail/html/Attic/Makefile[1.3]:
	New texi2html generates foo.html file rather than foo_toc.html.

	* imail/imail.texinfo[1.5]:
	Assorted tweaks.

	* imail/imail.texinfo[1.4]:
	Add section about server connections.  Write outline and introductory
	text for Commands chapter.

	* imail/imail.texinfo[1.3]:
	Add more structure to the Concepts chapter, and move many of the RFC
	references into footnotes.

2000-07-10  Chris Hanson <cph@zurich.ai.mit.edu>

	* sos/Attic/Makefile[2.3]:
	Fix thinko.

	* ref-manual/html/Attic/Makefile[1.2], sos/html/Attic/Makefile[1.2]:
	Add clean rule.

	* ref-manual/Attic/Makefile[1.2], sos/Attic/Makefile[2.2]:
	Add PDF and clean rules.

	* imail/Attic/Makefile[1.5]:
	Add code to install info files.

	* imail/Attic/Makefile[1.4], user-manual/Attic/Makefile[1.5]:
	Add rule to make PDF file.

	* imail/Attic/Makefile[1.3], user-manual/html/Attic/Makefile[1.3]:
	Fix typo.

	* user-manual/Attic/Makefile[1.4], user-manual/Attic/Makefile[1.3],
	  user-manual/html/Attic/Makefile[1.2]:
	Add "clean" rule.

	* ref-manual/Attic/re-tex[1.3], sos/Attic/re-tex[2.2],
	  user-manual/Attic/re-tex[1.2]:
	No longer needed.

	* user-manual/Attic/Makefile[1.2]:
	Don't use re-tex.  Add rule to generate PDF.

	* ref-manual/Attic/Makefile[1.1], ref-manual/html/Attic/Makefile[1.1],
	  sos/Attic/Makefile[2.1], sos/html/Attic/Makefile[1.1],
	  user-manual/Attic/Makefile[1.1],
	  user-manual/html/Attic/Makefile[1.1]:
	Initial registration.

	* user-manual/user.texinfo[1.73]:
	Fix out-of-date URLs, and use new @uref command.

	* imail/imail.texinfo[1.2]:
	Write second chapter, Concepts.  Add URL specifiers where appropriate.
	(This document now uses @- in most @uref specifiers, which
	unfortunately doesn't work right in the versions of texi2html in
	Debian 2.1 and 2.2.  It does work right in texi2html 1.64, which I've
	locally installed on the Project MAC machines.)

2000-07-09  Chris Hanson <cph@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.72]:
	Add release notes for release 7.5.9.

	* imail/Attic/Makefile[1.2], imail/html/Attic/Makefile[1.2]:
	Add "clean" rule.

	* imail/Attic/Makefile[1.1], imail/html/Attic/Makefile[1.1]:
	Initial registration.

	* imail/Attic/make-docs.sh[1.3]:
	Removed; use Makefile instead.

2000-07-07  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/Attic/make-docs.sh[1.2]:
	Delete previous doc-files directory before regenerating.

	* imail/Attic/make-docs.sh[1.1]:
	Initial registration.

	* imail/imail.texinfo[1.1]:
	First partial draft.

2000-05-01  Chris Hanson <cph@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.71]:
	Changes for 7.5.8.

2000-04-20  Chris Hanson <cph@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.70]:
	Changes for release 7.5.7.

2000-04-12  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.91]:
	CHAR-SET-UNION and CHAR-SET-INTERSECTION now take any number of
	arguments.

2000-04-04  Chris Hanson <cph@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.69]:
	Update for 7.5.6.

2000-03-21  Chris Hanson <cph@zurich.ai.mit.edu>

	* sos/Attic/re-tex[2.1]:
	Initial registration with CVS.

	* ref-manual/Attic/pictures.texinfo[1.2]:
	Delete obsolete file.

2000-03-17  Chris Hanson <cph@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.68]:
	Add "Recent Changes" section to release notes.

	* ref-manual/scheme.texinfo[1.90], sos/sos.texinfo[2.6],
	  user-manual/user.texinfo[1.67]:
	Change license to FDL.

2000-01-07  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.89]:
	Clarify the section on pathname components, and detail how each
	component is used for the currently supported file systems.

2000-01-05  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.88]:
	Another round of changes for the release.

	* ref-manual/scheme.texinfo[1.87]:
	Change "writable" to "writeable".  Document optional argument to
	TEMPORARY-FILE-PATHNAME.

2000-01-04  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.86]:
	Add definition of new SAFE-ACCESSORS option to DEFINE-STRUCTURE.

1999-12-27  Chris Hanson <cph@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.66]:
	Update the OS/2 installation instructions.

1999-12-22  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.85]:
	Fix text for DECODED-TIME->UNIVERSAL-TIME and DECODED-TIME->FILE-TIME.
	The text showed erroneous output, which was not Scheme's fault but was
	due to a bug in glibc 2.0.7.  This bug doesn't appear in glibc 2.1.2.

1999-12-21  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.84]:
	Another round of editing changes in preparation for the upcoming
	release.

1999-12-20  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.83]:
	Change definition of WRITE-LINE so that the newline is emitted after
	the object, rather than before it as previously.

1999-11-24  Chris Hanson <cph@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.65]:
	Update canonical FTP site URL.

	* user-manual/user.texinfo[1.64]:
	Edit the release notes, adding some new material, reorganizing, making
	phrasing more consistent and easier to read.

1999-11-08  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.82], ref-manual/scheme.texinfo[1.81]:
	Change order of arguments to VECTOR-MAP.

1999-08-20  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.80]:
	Update regular-expression documentation to reflect new implementation
	in which the match registers are returned as the value of the match.

1999-08-19  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.79]:
	Fix version number.

	* ref-manual/scheme.texinfo[1.78]:
	Tweak description of characters to account for changed representation.

	* ref-manual/scheme.texinfo[1.77]:
	Replace description of dynamic-wind with text from R5RS.

1999-08-13  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.76]:
	Update socket/host-name stuff.

	* user-manual/user.texinfo[1.63]:
	Don't mention encapsulation; this feature will probably go away.

1999-08-09  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.75]:
	Add new procedure WRITE-SUBSTRING.

	* sos/sos.texinfo[2.5]:
	Update copyright; restructure to have multiple chapters.

1999-08-04  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.74]:
	Document interface to TCP sockets.

	* user-manual/user.texinfo[1.62]:
	A final round of changes for the release.  This should be the final
	version.

1999-07-16  Chris Hanson <cph@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.61], user-manual/user.texinfo[1.60],
	  user-manual/user.texinfo[1.59]:
	More changes for release.

1999-07-06  Chris Hanson <cph@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.58]:
	More changes for the upcoming release.

1999-07-03  Chris Hanson <cph@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.57]:
	Fix typo in previous change.

	* user-manual/user.texinfo[1.56]:
	Many changes in preparation for the upcoming 7.5 release.  There's
	still a fair amount left to do.

1999-06-22  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.73]:
	Document optional argument to re-match-start-index and
	re-match-end-index.

	* ref-manual/scheme.texinfo[1.72]:
	Change info filename to "scheme.info".

	* ref-manual/scheme.texinfo[1.71]:
	Add documentation for regular-expression procedures.  Change
	string-search documentation to reflect rationalization of procedures.

1999-05-28  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.70]:
	Add documentation for subprocesses, machine time, and operating-system
	identifiers.

1999-05-08  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.69]:
	Document new string-search procedures and string-reversal procedures.

1999-04-29  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.68]:
	Change documentation for time procedures to match new regularized
	implementation.

1999-03-31  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.67]:
	Document time procedures.

1999-03-16  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.66]:
	Document parser/unparser control variables and mode-bit definitions.

1999-02-26  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.65]:
	Extensive changes to adjust for new release, fix formatting problems,
	and change copyright.

	* user-manual/user.texinfo[1.55]:
	Numerous formatting changes to eliminate TeX errors.  Adjust for minor
	changes since last release.

	* user-manual/user.texinfo[1.54]:
	Update BKPT to reflect current implementation.

1998-03-19  Chris Hanson <cph@zurich.ai.mit.edu>

	* sos/sos.texinfo[2.4]:
	Document SEPARATOR option to DEFINE-CLASS.

1998-02-21  Chris Hanson <cph@zurich.ai.mit.edu>

	* sos/sos.texinfo[2.3]:
	Fix typo.

1997-06-25  Chris Hanson <cph@zurich.ai.mit.edu>

	* sos/sos.texinfo[2.2], sos/sos.texinfo[2.1]:
	Extensive changes corresponding to new release of SOS that uses
	generic procedure support provided by the runtime system.

1997-02-13  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.64]:
	Update documentation for FLONUM-UNPARSER-CUTOFF.  Change names for
	x-graphics procedures to match code.

1996-11-05  Stephen Adams <adams@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.53]:
	Revised Wdinows installation instructions.

1996-07-12  Stephen Adams <adams@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.63]:
	Added X-graphics documentation about DRAW-CIRCLE and FILL-CIRCLE.

1996-04-16  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.62], user-manual/user.texinfo[1.52],
	  user-manual/user.texinfo[1.51]:
	Final editing for release 7.4.2.

1996-04-15  Stephen Adams <adams@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.61]:
	Fix typo in WIN32 section.

	* user-manual/user.texinfo[1.50]:
	More Windows-specific edits.

1996-04-10  Stephen Adams <adams@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.49]:
	Some updates to windows installation.

1996-04-08  Chris Hanson <cph@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.48]:
	Fix some typos.

	* user-manual/user.texinfo[1.47], user-manual/user.texinfo[1.46]:
	Add information about our FTP site and also how to report bugs.

	* user-manual/user.texinfo[1.45]:
	Add a short introduction.  Document `load-option' and the `purify?'
	argument to `load'.

1996-04-07  Chris Hanson <cph@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.44]:
	Extensive editing for 7.4.2 release.

	* ref-manual/scheme.texinfo[1.60]:
	Fix broken instances of cross-reference commands.

	* ref-manual/scheme.texinfo[1.59], ref-manual/scheme.texinfo[1.58]:
	Fix minor typesetting error.

1996-04-04  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.57]:
	Extensive edit to update document for 7.4.2 release.

1996-03-21  Stephen Adams <adams@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.43]:
	Indexed `fonts'

	* user-manual/user.texinfo[1.42]:
	Added info on MITSCHEME_FONT (Windows 3.1/95/NT)

1996-03-14  Stephen Adams <adams@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.41]:
	Added documentation for APROPOS, PP and PA under `Debugging Aids'.

1996-03-10  Chris Hanson <cph@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.40]:
	Update version numbers and dates.

1996-02-22  Stephen Adams <adams@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.39]:
	TYpo

	* user-manual/user.texinfo[1.38]:
	Added efficiency tip on intercation between internal definitions and
	CALL-WITH-CURRENT-CONTINUATION.

1996-02-15  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.56]:
	Fix typo and update revision numbers.

1995-11-29  Stephen Adams <adams@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.37]:
	Added 7.? vs 8.0 clarifications.

1995-11-20  Stephen Adams <adams@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.36]:
	Fixed typo in example.

1995-11-07  Stephen Adams <adams@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.55]:
	Added STRING->CHAR-SET.

1995-11-01  Stephen Adams <adams@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.35]:
	Extended the flonum efficiency tip.

1995-10-31  Stephen Adams <adams@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.34]:
	Fixed more typos.

	* user-manual/user.texinfo[1.33]:
	Fixed typo.

	* user-manual/user.texinfo[1.32]:
	Added some effiency tips about flonums.

	* ref-manual/scheme.texinfo[1.54]:
	Improved `largest fixnum' code.

1995-10-30  Stephen Adams <adams@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.31]:
	Fixed typo.

1995-09-04  Stephen Adams <adams@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.30]:
	Added an efficiency tip.

1995-08-27  Stephen Adams <adams@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.29]:
	Added some information about writing faster code.  At the moment it is
	pretty unstructured, but at least this information is finding its way
	onto paper.

1995-08-21  Stephen Adams <adams@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.28]:
	Fixed units.

1995-07-12  Stephen Adams <adams@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.53]:
	Added a sentence about structure option (print-procedure #F).

1995-05-30  Chris Hanson <cph@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.27]:
	Fix some typos.

	* ref-manual/scheme.texinfo[1.52]:
	Fix some typos in the OS/2 graphics section.

	* user-manual/user.texinfo[1.26]:
	Update title page and dates.

1995-05-21  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.51]:
	Add documentation for OS/2 graphics.

1995-04-28  Stephen Adams <adams@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.25]:
	Added some (incomplete) documantation about garbage collection.

1995-04-20  Stephen Adams <adams@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.50]:
	Added documentation for BIT-SUBSTRING-FIND-NEXT-SET-BIT.

1995-03-02  Stephen Adams <adams@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.49]:
	Documented WT-TREE/UNION-MERGE.

1995-02-23  Stephen Adams <adams@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.24]:
	Added a useful tip under integration declarations.

1995-01-19  Stephen Adams <adams@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.48]:
	Fixed example in vector-map

1994-10-20  Stephen Adams <adams@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.47]:
	Documented VECTOR-BINARY-SEARCH.

1994-10-17  Stephen Adams <adams@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.46]:
	Corrected small detail in Win32 package reference.

1994-10-13  Stephen Adams <adams@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.45]:
	Fixed small errors in WT-TREE documentation.
	Added description of VECTOR-MAP.

1994-09-09  Chris Hanson <cph@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.23]:
	Update installation instructions to include description of HPPA cache
	stuff.

1994-08-14  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.44]:
	Another round of changes to the Error System chapter.  This should
	finish the major editing needed for this chapter.

1994-08-12  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.43]:
	Insert new error system documentation.

1994-08-11  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.42]:
	Fix bug in examples for FOLD-LEFT.

1994-06-01  Chris Hanson <cph@zurich.ai.mit.edu>

	* sos/sos.texinfo[1.6]:
	Update to describe several recent changes.

1993-12-17  Chris Hanson <cph@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.22]:
	Fix typo.

	* user-manual/user.texinfo[1.21]:
	Numerous low-level changes.  Fix capitalization of titles, rewrite
	long titles to make them shorter.

1993-12-16  Stephen Adams <adams@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.20], user-manual/user.texinfo[1.19]:
	*** empty log message ***

1993-12-07  Stephen Adams <adams@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.18]:
	*** empty log message ***

1993-12-06  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.41]:
	Eliminate contents of error-system chapter.

	* user-manual/user.texinfo[1.17]:
	Add "News" section to release notes.  Also many small changes.

1993-12-05  Stephen Adams <adams@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.40], user-manual/user.texinfo[1.16]:
	*** empty log message ***

1993-12-03  Stephen Adams <adams@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.9]:
	*** empty log message ***

1993-12-03  Chris Hanson <cph@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.14]:
	Patch a few typos.

	* user-manual/user.texinfo[1.13]:
	Fix node references from last change.

	* user-manual/user.texinfo[1.12]:
	Merge the indices.

	* user-manual/user.texinfo[1.11], user-manual/user.texinfo[1.10]:
	Numerous small changes.

1993-12-03  Guillermo J. Rozas <gjr@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.15]:
	Add C back end information.

1993-12-02  Stephen Adams <adams@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.8], user-manual/user.texinfo[1.7]:
	*** empty log message ***

1993-12-01  Stephen Adams <adams@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.6]:
	incorporated s    DOS instructions

1993-11-29  Stephen Adams <adams@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.5]:
	Mended Windows installation section.
	Incorporated Win32 Package documentation.

1993-11-27  Stephen Adams <adams@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.4]:
	Partly added windows installation blurb

1993-11-24  Stephen Adams <adams@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.3]:
	augmented and re-arranged environment variables and command-line
	options.  Added info on memory sizing.

1993-11-23  Stephen Adams <adams@zurich.ai.mit.edu>

	* user-manual/user.texinfo[1.2]:
	Added environment variables

1993-11-22  Nick Papadakis <nick@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.39]:
	Minor images typo

1993-11-16  Nick Papadakis <nick@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.38]:
	Minor typo, weak-pairs xref in hash table intro

1993-11-12  Nick Papadakis <nick@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.37]:
	Minor typos

1993-11-03  Stephen Adams <adams@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.36]:
	*** empty log message ***

	* ref-manual/scheme.texinfo[1.35]:
	fixed more typos

	* ref-manual/scheme.texinfo[1.34]:
	Fixed typos in wt-tree documentation

	* ref-manual/scheme.texinfo[1.33]:
	Added weight balanced tree documentation

1993-10-25  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.32]:
	More changes all over the place.  Remove the picture documentation to
	a separate file and conditionalize its inclusion.

1993-10-23  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.31]:
	Numerous small changes.

1993-10-19  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.30]:
	Various minor edits.

	* ref-manual/scheme.texinfo[1.29], ref-manual/scheme.texinfo[1.28]:
	Document the address-hashing facilities for hash tables.  Change the
	documentation of the PROMPT-FOR-COMMAND- procedures to indicate that
	they print the REP level number.

1993-10-16  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.27]:
	Document prompting procedures.

1993-10-16  Jason Wilson <jawilson@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.26]:
	I examples for the list-transform-mumble functions.

1993-10-14  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.25]:
	* Document FLONUM-UNPARSER-CUTOFF and RANDOM.
	
	* Document many new file-system operations.
	
	* Specify the condition-types of errors that are signalled, when those
	  errors are mentioned in the text.
	
	* Merge the two indices into one.

	* ref-manual/scheme.texinfo[1.24]:
	Rewrite "Input/Output" chapter to incorporate many changes that have
	been implemented since the 7.1 release.

1993-10-13  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.23]:
	Describe red-black trees.  Fix and update description of
	object-hashing mechanism.  Plus many small fixes and updates
	throughout.

	* ref-manual/Attic/re-tex[1.2]:
	*** empty log message ***

	* ref-manual/scheme.texinfo[1.22]:
	Update documentation of hash tables to reflect new implementation.
	Update node pointers and menus throughout the document.

1993-10-05  Stephen Adams <adams@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.21]:
	Fixed a few typos.

1993-09-30  Stephen Adams <adams@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.20]:
	Documentsed FOLD-LEFT and FOLD-RIGHT

1993-09-24  Stephen Adams <adams@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.19]:
	Fixed typos in new graphics documentations.

1993-09-16  Stephen Adams <adams@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.18]:
	Oops!
	Fixed a fnord found after last check-in

	* ref-manual/scheme.texinfo[1.17]:
	Documented scheme graphcis for windows NT
	Documented new Images type

1993-08-03  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.16], ref-manual/scheme.texinfo[1.15]:
	Update edition and date information.

1993-07-07  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.14]:
	Fix typo in definition of MAKE-POLAR.

1993-03-17  Arthur Gleckler <arthur@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.12]:
	Added Dave Espinosa's DEFINE-STRUCTURE documentation.

1993-03-17  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.13]:
	Reformat DEFINE-STRUCTURE definition slightly to follow standard
	Texinfo guidelines.

1993-03-16  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.11]:
	Fix some typos.

1993-03-15  Stephen Adams <adams@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.10]:
	Added more examples in the strings section.

1993-03-11  Stephen Adams <adams@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.9]:
	Amended pathname documentation to conform to implementation

1993-03-10  Chris Hanson <cph@zurich.ai.mit.edu>

	* sos/sos.texinfo[1.5]:
	Add documentation for record classes and the METHOD special form.

1993-02-28  Chris Hanson <cph@zurich.ai.mit.edu>

	* sos/sos.texinfo[1.4]:
	Adjustments so that TeX output is good.  Add new stuff: extension to
	DEFINE-GENERIC-PROCEDURE, new class <MATH-OBJECT>.

1993-02-24  Chris Hanson <cph@zurich.ai.mit.edu>

	* sos/sos.texinfo[1.3]:
	Change INSTANCE-OF? to accept any object as its first arg.

	* sos/sos.texinfo[1.2]:
	Update to match revision 1.7 of "sos.scm".  Flesh out part of the
	meta-object protocol by stealing text from the CLOS spec.

1992-07-24  Chris Hanson <cph@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.8], ref-manual/scheme.texinfo[1.7]:
	Define STREAM-FIRST and STREAM-REST.  Rewrite Pictures section of
	Graphics chapter.

1992-07-20  Jason Wilson <jawilson@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.6]:
	fixed a misplaced {} in the new picture code.

	* ref-manual/scheme.texinfo[1.5]:
	Added the 6.001 picture documentation in the chapter on graphics.
	Updated the menu in that node and updated every node.

1992-03-13  Arthur Gleckler <arthur@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.4]:
	Documentation for STRING-TRIM, STRING-TRIM-LEFT, and STRING-TRIM-RIGHT
	said that CHAR-SET argument defaulted to char-set:whitespace, but it
	really defaults to char-set:not-whitespace.

1991-12-21  Arthur Gleckler <arthur@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.3]:
	Fix typos in previous changes.

1991-12-20  Arthur Gleckler <arthur@zurich.ai.mit.edu>

	* ref-manual/scheme.texinfo[1.2]:
	Finish documenting the new X graphics operations COPY-AREA and
	FONT-STRUCTURE and the extractor procedures associated with the latter.
